Name:       perl-IPC-System-Simple 
Version:    1.18 
Release:    2%{?dist}
# lib/IPC/System/Simple.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    Run commands simply, with detailed diagnostics 
Source:     http://search.cpan.org/CPAN/authors/id/P/PJ/PJF/IPC-System-Simple-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/IPC-System-Simple
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(Config)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
# testing
BuildRequires: perl(BSD::Resource)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
# These are explicitly marked as AUTHOR_TESTS, and we skip those.
#BuildRequires: perl(Test::Pod)
#BuildRequires: perl(Test::Pod::Coverage)



%description
Calling Perl's in-built 'system()' function is easy, determining if it
was successful is _hard_. Let's face it, '$?' isn't the nicest variable
in the world to play with, and even if you _do_ check it, producing a
well-formatted error string takes a lot of work. 'IPC::System::Simple'
takes the hard work out of calling external commands. In fact, if you
want to be really lazy, you can just write: 

    use IPC::System::Simple qw(system);

and all of your "system" commands will either succeeed (run to completion and
return a zero exit value), or die with rich diagnostic messages.


%prep
%setup -q -n IPC-System-Simple-%{version}

find . -type f -exec chmod -x {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README examples/ 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 05 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.18-1
- submission

* Thu Mar 05 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.18-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

